osl::eval Namespace Reference

## Namespaces

namespace | ml

## Classes

struct | EvalTraits
struct | EvalTraits< BLACK >
struct | EvalTraits< WHITE >
class | PtypeEvalTable
struct | PtypeEvalTraits
struct | PtypeEvalTraits< PAWN >
struct | PtypeEvalTraits< PPAWN >
struct | PtypeEvalTraits< LANCE >
struct | PtypeEvalTraits< PLANCE >
struct | PtypeEvalTraits< KNIGHT >
struct | PtypeEvalTraits< PKNIGHT >
struct | PtypeEvalTraits< SILVER >
struct | PtypeEvalTraits< PSILVER >
struct | PtypeEvalTraits< GOLD >
struct | PtypeEvalTraits< BISHOP >
struct | PtypeEvalTraits< PBISHOP >
struct | PtypeEvalTraits< ROOK >
struct | PtypeEvalTraits< PROOK >
struct | PtypeEvalTraits< KING >
struct | See
class | OpenMidEndingEval

## Functions

bool | betterThan (Player p, int v1, int v2)
bool | notLessThan (Player p, int v1, int v2)
int | max (Player p, int v1, int v2)
int | min (Player p, int v1, int v2)
int | delta (Player p)
| playerにとってちょっと高い値
int | convert (Player P, int value)
template<class Eval>
bool | isConsistentValueForNormalState (int value)
| 詰がからんでいない局面での通常の評価値
bool | isConsistentValue (int value)

## Variables

const PtypeEvalTable | Ptype_Eval_Table

## Function Documentation

## betterThan()

bool osl::eval::betterThan | ( | Player | p,
|  | int | v1,
|  | int | v2 )

inline

Definition at line 67 of file evalTraits.h.

References osl::BLACK, and osl::isValid().

## convert()

int osl::eval::convert | ( | Player | P,
|  | int | value )

inline

Parameters

  value | BLACKのための値

Definition at line 116 of file evalTraits.h.

References delta().

## delta()

int osl::eval::delta | ( | Player | p | ) |

inline

playerにとってちょっと高い値

Definition at line 104 of file evalTraits.h.

References osl::BLACK, and osl::isValid().

Referenced by convert(), and osl::eval::ml::PiecePair::weight().

## isConsistentValue()

bool osl::eval::isConsistentValue | ( | int | value | ) |

inline

Definition at line 133 of file evalTraits.h.

## isConsistentValueForNormalState()

template<class Eval>

bool osl::eval::isConsistentValueForNormalState | ( | int | value | ) |

inline

詰がからんでいない局面での通常の評価値

Definition at line 126 of file evalTraits.h.

## max()

int osl::eval::max | ( | Player | p,
|  | int | v1,
|  | int | v2 )

inline

Definition at line 84 of file evalTraits.h.

References osl::BLACK, and osl::isValid().

## min()

int osl::eval::min | ( | Player | p,
|  | int | v1,
|  | int | v2 )

inline

Definition at line 92 of file evalTraits.h.

References osl::BLACK, and osl::isValid().

## notLessThan()

bool osl::eval::notLessThan | ( | Player | p,
|  | int | v1,
|  | int | v2 )

inline

Definition at line 75 of file evalTraits.h.

References osl::BLACK, and osl::isValid().

## Variable Documentation

## Ptype_Eval_Table

const eval::PtypeEvalTable osl::eval::Ptype_Eval_Table

extern

Definition at line 103 of file tables.cc.

Referenced by osl::PieceBasicLessThan::operator()(), osl::PiecePtypeMoreThan::operator()(), osl::PtypeOSquareVector::PtypeOSquareLessThan::operator()(), osl::eval::See::see(), osl::eval::See::seeInternal(), and osl::eval::ml::PieceEval::setUp().